// *********************************************
// * Sound Library                             *
// * last change: 1998-06-28                   *
// * Robin Gruber                              *
// *********************************************
#ifndef SOUND_H
#define SOUND_H
#include <sys/ioctl.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/soundcard.h>

#define RECORD 1
#define PLAYBACK 2
#define DUPLEX 3 //Not yet supported!!
#define MONO 1
#define STEREO 2

int openDSP(char * device, int mode, int width, int frequency, int channels);

int closeDSP(int id);

int record(int id, char * data, int length);

int playback(int id, char * data, int length);

#endif
